/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：脚本分组表
*
* createdate:  2022-10-18 17:29:49  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本目录查询实体")
public class AtuScriptGroupQueryDto implements Serializable
{
    /**
     * 目录名称<br>
     */
    @ApiModelProperty("目录名称")
    @Size(max = 30, message="目录名称: 数据长度不能 > 30" )
    private String groupName;
    /**
     * 系统id列表<br>
     */
    @ApiModelProperty("系统ID列表")
    private List<String> projectIds;
    /**
     * 目录父ID<br>
     */
    @ApiModelProperty("目录父ID")
    @Size(max = 32, message="目录父ID-pid: 数据长度不能 > 32" )
    private String pid;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;

    @ApiModelProperty("是否为多系统 false-单系统 true-多系统")
    private boolean moreProject;

    /**
     * ID路径<br>
     */
    @ApiModelProperty("ID路径")
    @Size(max = 900, message="ID路径-idPath: 数据长度不能 > 900" )
    private String idPath;

    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getIdPath() {
        return idPath;
    }

    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public List<String> getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(List<String> projectIds) {
        this.projectIds = projectIds;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public boolean isMoreProject() {
        return moreProject;
    }

    public void setMoreProject(boolean moreProject) {
        this.moreProject = moreProject;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}